Modules | Alphabetical List | Class List | Directories | File List | File Members | GIL Home Page # PixelConvertibleConcept Struct Template Reference [Concepts] `#include <gil_concept.hpp>` List of all members. ## Detailed Description ### template<typename SrcP, typename DstP> struct boost::gil::PixelConvertibleConcept< SrcP, DstP > Pixel convertible concept.
    template <PixelConcept SrcPixel, MutablePixelConcept DstPixel>
    concept PixelConvertibleConcept {
        void color_convert(const SrcPixel&, DstPixel&);
    };
## Public Member Functions
void | constraints ()
## Public Attributes
SrcP | src
DstP | dst
The documentation for this struct was generated from the following file: gil_concept.hpp